PT BIA - Feature #1860

Closing Premi Panen untuk TMT Payroll
12/07/2022 03:33 PM - fernando sergio rumbayan

Status: QA Test

Priority: Immediate

Assignee: fernando sergio rumbayan
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

12/07/2022
12/09/2022
0%

0.00 hour
0.00 hour

Description
Dear Mba yomaa,

Untuk Closing di buatkan service yg akan berjalan setiap tgl 5 utk menggenerate nilai BJR yang akan di pakai pada TMT payrol.

Hasil closing di tampung di Tabel CUSPERIODBJR

Data yg dihitung , pada perhitungan TMT payroll adalah start date & end date dalam bulan yg sama Dan crate datenya kurang atau

sama dengan tgl 5

Terima Kasih...

History

#1 - 12/07/2022 04:22 PM - Kezia Pawitra Yulianti
- Due date set to 12/09/2022
- Status changed from New to Assigned

- Priority changed from High to Immediate

#2 - 12/08/2022 10:15 AM - fernando sergio rumbayan
Dear Mba yomaa,

Table untuk block nya = CUSMDBLOCK

Rumus perhitungan = Total TBS / HA jumlah Area
Terimaa kaasih...

#3 - 12/08/2022 12:02 PM - fernando sergio rumbayan

Dear Mba yoma,

Dibuatkan AutoFill pada Tabel CUSPYPREMIPANEN Untuk kolom AreaHA data diambil dari CUSMDBLOCK

Terima Kasih.....

#4 - 12/09/2022 10:21 AM - Tri Rizqgiaty

- File CBIACLOSINGBJR_20221209.sql added

- File ClosingBJR.xIsx added

- File Jobs Closing BJR.sql added

- File clipboard-202212091019-mtads.png added
- File clipboard-202212091020-bmm?7i.png added
- File clipboard-202212091021-hmoco.png added

- Status changed from Assigned to Developing

Fixing :

1. Execute SP : CBIACLOSINGBJR_20221209.sq| (file terlampir)

2. Udpate table2 sesuai file excel terlampir

3. Create job yang disetting daily setiap jam 1 malam, (script terlampir)
Notes untuk deploy ke Production

1. Dalam SP pengali BJR meter dihapus
(ol [ 2T, T 1 [0 | B S T VN - W ) RS WIN-6PEHSTRPCM....PCMEPGENPARAM 'WIN-6PEH5TRPCM...bo. CUSPERIODBIR

—IIF(@iDate = (SELECT DISTINCT Valuel FROM dbo.PCMEPGENPARAM WHERE Parameter = 'CBIACLOSINGEIRDATE
—IBEGIN

= DECLARE @Tb1MD TABLE
(

+
-
JAreaHA VARCHAR(2@) A
,TBS DECIMAL(22,2)
)
=) INSERT INTO @ThIMD 1
SELECT md.BlockID, md.AreaHA, SUM(md.TBS)
FROM dbo.CUSPYPREMIPANEN AS md
WHERE { T(md.ChangeDate,8) BETWEEN @StartDateLast AND @Now))
AND (md.StartDate BETWEEN @StartDatelast AND @EndDatelast) u
GROUP BY md.BlockID, md.AreaHA

S INSERT INTO CUSPERIODBIR
SELECT @startDate AS SatartDate

,@EndDate AS EndDate masuk production pengali ini dihapus
SLEFT(@Now,4) AS [Year]

,tblmd.BlockID

J@Month AS [Month] V

,CONVERT (DECIMAL(18,2), (tblmd.TBS/CONVERT (DECIMAL(22,2),blk.AreaHAmeter)) * 300080) AS BIR

,'Service’ AS CreateBy

»REPLACE(COMVERT (varchar, GETDATE(),181),'/','') + REPLACE(CONVERT (varchar, GETDATE(),188),':'."") AS CreateDate
,'Service’ AS ChangeBy

JREPL (varchar, GETDATE(),181),'/',"") + REPLACE(CON (varchar, GETDATE(),1@8),':','") AS ChangeDate

FROM @Tb1MD AS tblmd
LEFT J0IN dbo.CUSMDBLOCK AS blk
ON tblmd.BlockID = blk.BlockID
END

2. Ditable PCMEPGENPARAM : CBIACLOSINGBJRDATE rubah menjadi tanggal yang sebenarya
> WIN-6PEHSTRPCMH...SDATATABLEFIELD ClosingBJR.sq - re...ES_BIA_Dev (sa (59))
SELECT TOP (200) StartDate, EndDate, Parameter, Sequence, Module, Operatorl, Valuel, Operator2, Value2, Notes, CreateBy, CreateDate, ChangeBy, ChangeDate

FROM PCMEPGENPARAM
'WHERE (Parameter = 'CBIACLOSINGBIRDATE')

WIN-6PEHSTRPCM....PCMEPGENPARAM + X

rubah menjadi 5 ketika naik ke production /

sesual tanggal closing bjr

OperN‘\

'WIN-6PEHSTRPCM...bo.CUSPERIODEJR

StartDate EndDate Parameter Sequence Module Operatord Value2 MNotes CreateBy Crej
3 18000101 99591231 CBIACLOSINGBIRDATE 1 PY = 9 Tanggal pelaksa... minovais 2016)
" NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NUL
#5 - 12/09/2022 10:22 AM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to fernando sergio rumbayan
Silakan ditest
Files
CBIACLOSINGBJR_20221209.sq| 4.5 KB 12/09/2022 Tri Rizqgiaty
ClosingBJR.xIsx 10.1 KB 12/09/2022 Tri Rizgiaty
Jobs Closing BJR.sql 2.44 KB 12/09/2022 Tri Rizqgiaty
clipboard-202212091019-mtads.png 28.6 KB 12/09/2022 Tri Rizqgiaty
clipboard-202212091020-bmm7i.png 74.8 KB 12/09/2022 Tri Rizqgiaty
clipboard-202212091021-hmoco.png 44.7 KB 12/09/2022 Tri Rizqgiaty
